GSNMP(1)

NAME
gsnmp-get - retrieve data from an SNMP agent

SYNOPSIS
gsnmp-get [options] uri

DESCRIPTION
gsnmp-get retrieves information from network devices using the Simple Network Management Protocol (SNMP). The data to be retrieved is specified using the Uniform Resource Identifier (URI) syntax for SNMP defined in RFC 4088.

The uri argument identifies the SNMP agent to talk to and which data should be retrieved.

It should be noted that gsnmp-get is not aware of MIB definitions and thus is only able to output raw data (no nice formatting or translation of OIDs into a more human friendly syntax). A simple way to work around this limitation is to pipe the output through the smixlate program, which is part of the libsmi package.

OPTIONS
scli accepts the following options:

-s, --silent
    Keep silent and produce no output.

-r N, --repeats=N
    Executes the data retrieval N times.

EXAMPLES
Retrieve the SNMPv2-MIB::system subtree:

    gsnmp-get snmp://public@device//1.3.6.1.2.1.1.*

Retrieve the SNMPv2-MIB::system subtree, piping through smixlate:

    gsnmp-get snmp://public@device//1.3.6.1.2.1.1.* | smixlate SNMPv2-MIB

FURTHER INFORMATION
More information can be found on the gsnmp web page which is available at:

<https://trac.eecs.iu-bremen.de/projects/gsnmp/>

SEE ALSO
RFC4088

AUTHOR
Juergen Schoenwaelder <j.schoenwaelder@iu-bremen.de>.